
GammaLib - Bug #1586

Check existence of files in CTA IRF loading

11/29/2015 08:17 AM - Knödlseder Jürgen

Status: Closed Start date: 11/29/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The following commands that provide an invalid IRF result in an error message that is not very informative. Proper checking of the

IRF existence should be implemented.

$ ctobssim

RA of pointing (degrees) (0-360) [267.68]] 83.63

Dec of pointing (degrees) (-90-90) [-29.6] 22.01

Radius of FOV (degrees) (0-180) [5.0]

Start time (MET in s) [0.0]

End time (MET in s) [34200] 1800.0

Lower energy limit (TeV) [0.1]

Upper energy limit (TeV) [100.0]

Calibration database [prod2] /usr/local/gamma/share/caldb/data/cta

Instrument response function [South_50h] prod2/bcf/South_50h

Model [model_ics_small.xml] $CTOOLS/share/models/crab.xml

Output event data file or observation definition file [events.fits]

*** ERROR encounterted in the execution of ctobssim. Run aborted ...

*** ERROR in GNodeArray::interpolate(double&, std::vector<double>&): Not enough nodes in node array (0 nodes).

History

#1 - 12/02/2015 09:48 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

I added some code to the CTA response loader methods that first checks whether the response files do exist. Now, the above example gives the

following result:

$ ctobssim

RA of pointing (degrees) (0-360) [83.63]

Dec of pointing (degrees) (-90-90) [22.01]

Radius of FOV (degrees) (0-180) [5.0]

Start time (MET in s) [0.0]

End time (MET in s) [1800.0]

Lower energy limit (TeV) [0.1]

Upper energy limit (TeV) [100.0]

Calibration database [prod2] /usr/local/gamma/share/caldb/data/cta

Instrument response function [South_50h] prod2/bcf/South_50h

*** ERROR encounterted in the execution of ctobssim. Run aborted ...

*** ERROR in GCTAResponseIrf::load_aeff(std::string&): File error. File "/usr/local/gamma/share/caldb/data/cta/prod2/bcf/South_50h" not found.

 Please specify a valid effective area response file.
#2 - 12/02/2015 10:21 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.
